Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dstc.security.kerberos.msg
Interface KrbCred

public interface KrbCred
extends EncryptedPart, KerberosMessage

An interface to the Kerberos credential message.

Defined in RFC 1510 by the ASN.1 structure KRB_CRED

       KRB_CRED ::=  [APPLICATION 22] SEQUENCE {
                       pvno[0]                       INTEGER,
                       msg-type[1]                   INTEGER,
                       tickets[2]                    SEQUENCE OF Ticket,
                       enc-part[3]                   EncryptedData,
                   }

       -- unencrypted enc-part

       EncKrbCredPart ::= [APPLICATION 29]  SEQUENCE {
                            ticket-info[0]      SEQUENCE OF KrbCredInfo,
                            nonce[1]            INTEGER OPTIONAL,
                            timestamp[2]        KerberosTime OPTIONAL,
                            usec[3]             INTEGER OPTIONAL,
                            s-address[4]        HostAddress OPTIONAL,
                            r-address[5]        HostAddress OPTIONAL
                          }

       KrbCredInfo    ::= SEQUENCE {
                            key[0]                 EncryptionKey,
                            prealm[1]              Realm OPTIONAL,
                            pname[2]               PrincipalName OPTIONAL,
                            flags[3]               TicketFlags OPTIONAL,
                            authtime[4]            KerberosTime OPTIONAL,
                            starttime[5]           KerberosTime OPTIONAL,
                            endtime[6]             KerberosTime OPTIONAL
                            renew-till[7]          KerberosTime OPTIONAL,
                            srealm[8]              Realm OPTIONAL,
                            sname[9]               PrincipalName OPTIONAL,
                            caddr[10]              HostAddresses OPTIONAL
                          }

Method Summary
`int` | `getNonce()` Returns the nonce in this message, or -1 if absent
`InetAddress` | `getReceiverAddress()` Returns the receiver address in this message, or null if absent
`InetAddress` | `getSenderAddress()` Returns the sender address in this message, or null if absent
`Credential[]` | `getTicketInfo()` Returns all the Credentials in this message
`Ticket[]` | `getTickets()` Returns all the Tickets in this message
`Date` | `getTimeStamp()` Returns the timestamp in this message.

Methods inherited from interface com.dstc.security.kerberos.msg.EncryptedPart
`decrypt, encryptionType, initDecrypt`

Methods inherited from interface com.dstc.security.kerberos.msg.KerberosMessage
`getEncoded`

Method Detail

### getTickets

    public Ticket[] getTickets()

  Returns all the Tickets in this message

### getTicketInfo

    public Credential[] getTicketInfo()
                               throws NotYetDecryptedException

  Returns all the Credentials in this message

### getNonce

    public int getNonce()
                 throws NotYetDecryptedException

  Returns the nonce in this message, or -1 if absent

### getTimeStamp

    public Date getTimeStamp()
                      throws NotYetDecryptedException

  Returns the timestamp in this message. The returned time is a combination of the timestamp and usec fields in the ASN.1 definition of EncKrbCredPart, correct to the resolution of a Java Date (ie. fractional milliseconds are ignored).

### getSenderAddress

    public InetAddress getSenderAddress()
                                 throws NotYetDecryptedException

  Returns the sender address in this message, or null if absent

### getReceiverAddress

    public InetAddress getReceiverAddress()
                                   throws NotYetDecryptedException

  Returns the receiver address in this message, or null if absent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD